OpenTTD Source: Data Fields - Functions

OpenTTD Source 13.2.1

### - d -

- DaysInTransit() : CargoList< Tinst, Tcont > , CargoPacket
- DecIndustryTypeCount() : Industry
- DecreaseOps() : Squirrel
- DecTypeCount() : Object
- DefaultSize() : LanguagePackGlyphSearcher , MissingGlyphSearcher , TextfileWindow
- DefSQAdvancedMethod() : DefSQClass< CL, ST >
- DefSQAdvancedStaticMethod() : DefSQClass< CL, ST >
- DefSQMethod() : DefSQClass< CL, ST >
- DefSQStaticMethod() : DefSQClass< CL, ST >
- Delete() : BinaryHeap , Hash
- DeleteAll() : Textbuf
- DeleteChar() : Textbuf
- DeleteClosedWindows() : Window
- DeleteFlows() : FlowStatMap
- DeleteOrderAt() : OrderList
- DeleteText() : Textbuf
- DeleteUnreachedImplicitOrders() : Vehicle
- DeleteValue() : Hash
- DeliverSupply() : LinkGraphJob::Node
- Demand() : LinkGraph::NodeWrapper< Tnode, Tedge > , LinkGraphJob::Edge
- DemandCalculator() : DemandCalculator
- DepotClick() : DepotWindow
- Destroy() : OpenGLBackend , OpenGLSprite , PacketWriter , SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size >
- Detach() : CCountedPtr< Tcls_ > , CHashTableSlotT< Titem_ > , Path
- DetermineBestSet() : BaseMedia< Tbase_set >
- DetermineCapacity() : Engine
- DiagonalTileArea() : DiagonalTileArea
- DiagonalTileIterator() : DiagonalTileIterator
- Died() : AIInstance , GameInstance , ScriptInstance
- Dijkstra() : MultiCommodityFlow
- DirtyHighlightedGroupWidget() : VehicleGroupWindow
- DisableAllWidgetHighlight() : Window
- DisableWidget() : Window
- DisasterVehicle() : DisasterVehicle
- DiscardMarkedText() : Textbuf
- DisplayCrashDialog() : CrashLogOSX
- DistanceAnnotation() : DistanceAnnotation
- Do() : CommandHelper< Tcmd, Tret(*)(DoCommandFlag, Targs...), true >
- DoCommandCallback() : ScriptInstance
- DoCommandReturn() : ScriptInstance
- DoCommandReturnGoalID() : ScriptInstance
- DoCommandReturnGroupID() : ScriptInstance
- DoCommandReturnLeagueTableElementID() : ScriptInstance
- DoCommandReturnLeagueTableID() : ScriptInstance
- DoCommandReturnSignID() : ScriptInstance
- DoCommandReturnStoryPageElementID() : ScriptInstance
- DoCommandReturnStoryPageID() : ScriptInstance
- DoCommandReturnVehicleID() : ScriptInstance
- DoRestore() : OrderBackup
- DoScan() : GRFFileScanner , TarScanner
- DoUpdateSpeed() : GroundVehicle< T, Type >
- DownloadContentInfo() : ClientNetworkContentSocketHandler
- DownloadSelectedContent() : ClientNetworkContentSocketHandler
- DownloadSelectedContentFallback() : ClientNetworkContentSocketHandler
- DownloadSelectedContentHTTP() : ClientNetworkContentSocketHandler
- DrainCommandQueue() : VideoDriver
- Draw() : BaseSettingEntry , Blitter , Blitter_32bppAnim , Blitter_32bppOptimized , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppOptimized , Blitter_8bppSimple , Blitter_Null , CargoesField , LinkGraphOverlay , NWidgetBackground , NWidgetBase , NWidgetLeaf , NWidgetMatrix , NWidgetNewGRFDisplay , NWidgetPIPContainer , NWidgetScrollbar , NWidgetServerListHeader , NWidgetSmallmapDisplay , NWidgetSpacer , NWidgetStacked , NWidgetToolbarContainer , NWidgetViewport , SettingsContainer , SettingsPage , VehicleSpriteSeq
- DrawAcceptedCargo() : StationViewWindow
- DrawActionElement() : StoryBookWindow
- DrawActions() : TownAuthorityWindow
- DrawButtons() : NetworkClientListWindow
- DrawCargoRatings() : StationViewWindow
- DrawColourMappingRect() : Blitter , Blitter_32bppAnim , Blitter_32bppSimple , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawCompany() : NetworkClientListWindow
- DrawContent() : LinkGraphOverlay
- DrawCountLine() : CompanyInfrastructureWindow
- DrawDetails() : NetworkContentListWindow
- DrawElementTimesColumn() : FramerateWindow
- DrawEntries() : StationViewWindow
- DrawGraph() : BaseGraphWindow
- DrawGroupInfo() : VehicleGroupWindow
- DrawHorConnection() : CargoesField
- DrawHorizMapIndicator() : SmallMapWindow
- DrawInfo() : IndustryViewWindow
- DrawLine() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawLinks() : LinkGraphOverlay
- DrawListColumn() : GoalListWindow
- DrawMapIndicators() : SmallMapWindow
- DrawMatrix() : NetworkContentListWindow
- DrawMouseCursor() : OpenGLBackend
- DrawRatings() : TownAuthorityWindow
- DrawRect() : Blitter , Blitter_32bppAnim , Blitter_32bppBase , Blitter_40bppAnim , Blitter_8bppBase , Blitter_Null
- DrawServerLine() : NetworkGameWindow
- DrawSetting() : SettingEntry , SettingsPage
- DrawSignalSprite() : BuildSignalWindow
- DrawSmallMap() : SmallMapWindow
- DrawSmallMapColumn() : SmallMapWindow
- DrawSortButtonState() : Window
- DrawStationDots() : LinkGraphOverlay
- DrawTowns() : SmallMapWindow
- DrawVehicleDetails() : VehicleDetailsWindow
- DrawVehicleInDepot() : DepotWindow
- DrawVehicleListItems() : BaseVehicleListWindow
- DrawVehicles() : SmallMapWindow
- DrawVertex() : LinkGraphOverlay
- DrawVertMapIndicator() : SmallMapWindow
- DrawViewport() : Window
- DrawWidget() : AboutWindow , AIConfigWindow , AIDebugWindow , AIListWindow , AISettingsWindow , BaseGraphWindow , BaseNetworkContentDownloadStatusWindow , BootstrapAskForDownloadWindow , BootstrapBackground , BootstrapErrorWindow , BuildAirportWindow , BuildBridgeWindow , BuildDocksDepotWindow , BuildIndustryWindow , BuildObjectWindow , BuildRailDepotWindow , BuildRailStationWindow , BuildRailWaypointWindow , BuildRoadDepotWindow , BuildRoadStationWindow , BuildSignalWindow , BuildTreesWindow , BuildVehicleWindow , BuyCompanyWindow , CheatWindow , CompanyFinancesWindow , CompanyInfrastructureWindow , CompanyStationsWindow , CompanyWindow , DepotWindow , DropdownWindow , EnginePreviewWindow , ErrmsgWindow , FramerateWindow , FrametimeGraphWindow , GameOptionsWindow , GameSettingsWindow , GenerateProgressWindow , GoalQuestionWindow , GraphLegendWindow , GSConfigWindow , IndustryCargoesWindow , IndustryDirectoryWindow , LandInfoWindow , LinkGraphLegendWindow , MessageHistoryWindow , MusicTrackSelectionWindow , MusicWindow , NetworkAskRelayWindow , NetworkClientListWindow , NetworkCompanyPasswordWindow , NetworkContentListWindow , NetworkGameWindow , NetworkJoinStatusWindow , NetworkStartServerWindow , NewGRFInspectWindow , NewGRFParametersWindow , NewGRFWindow , NewsWindow , OrdersWindow , OskWindow , PaymentRatesGraphWindow , PerformanceLeagueWindow , PerformanceRatingDetailWindow , QueryStringWindow , QueryWindow , RefitWindow , ReplaceVehicleWindow , SaveLoadWindow , SavePresetWindow , ScanProgressWindow , ScenarioEditorLandscapeGenerationWindow , ScenarioEditorToolbarWindow , ScriptLeagueWindow , SelectCompanyLiveryWindow , SelectCompanyManagerFaceWindow , SelectGameWindow , SelectStationWindow< T > , SignListWindow , SmallMapWindow , SpriteAlignerWindow , StatusBarWindow , StoryBookWindow , SubsidyListWindow , TextfileWindow , TimetableWindow , TooltipsWindow , TownAuthorityWindow , TownDirectoryWindow , TownViewWindow , TransparenciesWindow , VehicleDetailsWindow , VehicleGroupWindow , VehicleListWindow , VehicleViewWindow , Window
- DrawWidgets() : Window
- DriverFactoryBase() : DriverFactoryBase
- DropdownWindow() : DropdownWindow
- DummyConstructor() : AIInfo
- Dump() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , SmallArray< T, B, N >